> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pay Allocations

> Learn about the /pay-allocations endpoint.

Learn about the `/pay-allocations` endpoint.

* A payroll account can have one or more pay allocation objects, which represent the bank accounts and/or cards that are connected with the payroll account. Pay allocation objects contain information like bank account details, card details, allocation type, and allocation values.
* Argyle retrieves data a user has access to in their payroll portal. Some employers and payroll providers can fully or partially obfuscate information within a pay allocation (for example, account or routing number). In these cases, Argyle is only able to return the obfuscated values.

<Note>
  Argyle is PCI DSS Level 2 compliant. Learn more about security and compliance at Argyle [here](https://argyle.com/legal/security/).
</Note>

![High level structure of the pay allocations object.](https://res.cloudinary.com/argyle-media/image/upload/f_auto/v1674859117/docs-2023/API%20Endpoints/Pay_allocations)

## The pay allocation object

<Accordion title="Possible values:">
  ### Attributes

  * `id` (string (uuid), optional): Unique ID of the pay allocation.
  * `account` (string (uuid), optional): ID of the payroll account associated with a Link item that generates the payout to the user.
  * `employer` (string, optional): The company or entity that employs the user.
  * `destination_type` (string (enum), optional)
  * `status` (note, optional)
  * `account_number` (string, optional): 5 to 17-digit code that identifies the user as the account holder in the bank. In most cases, the account number will be 8-17 digits long. Depending on the payroll provider, the value can be fully or partially obfuscated.
  * `bank_name` (string, optional): Represents the bank's name on the account.
  * `routing_number` (string, optional): 9-digit code that is based on the bank location where the user's account was opened. Depending on the payroll provider, the value can be fully or partially obfuscated.
  * `card_number` (string, optional): Represents the card number.
  * `card_name` (string, optional): Represents the card's name on the account.
  * `account_number` (string, optional): 7 to 12-digit code that identifies the user as the account holder in the bank. Depending on the payroll provider, the value can be fully or partially obfuscated.
  * `account_type` (string, optional): The type of the user's bank account.
  * `institution_number` (string, optional): 3-digit code that identifies the user's bank.
  * `transit_number` (string, optional): 5-digit code that identifies the bank's specific branch where the user holds their account.
  * `metadata` (object, optional): Holds additional available, often unstructured information about this data resource.
</Accordion>

```json theme={}

{
"id": "017dd717-d775-bb54-6fb8-8947eff46809",
"account": "017dd717-d499-ce81-f3ac-ab7b8bb35a80",
"employer": "groger",
"destination_type": "bank_account",
"status": "active",
"allocation_type": "percent",
"currency": "USD",
"allocation_value": "27",
"method": "Weekly Direct Deposit",
"bank_account": {
"account_number": "360815792690",
"bank_name": "Freedom Bank",
"routing_number": "026019037",
"account_type": "savings"
},
"created_at": "2021-12-20T09:06:43.701Z",
"updated_at": "2021-12-20T09:06:43.701Z",
"metadata": {}
},
null,
2

```

```json theme={}

{
"id": "017dd717-d775-bb54-6fb8-8947eff46809",
"account": "017dd717-d499-ce81-f3ac-ab7b8bb35a80",
"employer": "udre",
"destination_type": "card",
"status": "active",
"allocation_type": null,
"currency": null,
"allocation_value": null,
"method": "Instant Payout",
"bank_account": {
"account_number": null,
"bank_name": null,
"routing_number": null,
"account_type": null
},
"card": {
"card_number": "************4444",
"card_name": "Viza",
"is_platform_card": false
},
"created_at": "2021-12-20T09:06:43.701Z",
"updated_at": "2021-12-20T09:06:43.701Z",
"metadata": {}
},
null,
2

```

```json theme={}

{
"id": "017dd717-d775-bb54-6fb8-8947eff46809",
"account": "017dd717-d499-ce81-f3ac-ab7b8bb35a80",
"employer": "groger",
"destination_type": "acss_debit",
"status": "active",
"allocation_type": "percent",
"currency": "CAD",
"allocation_value": "27",
"method": "Weekly Direct Deposit",
"bank_account": {
"account_number": null,
"bank_name": null,
"routing_number": null,
"account_type": null
},
"acss_debit": {
"account_number": "************4274",
"account_type": "DP3 - DEPOSIT ACCT3",
"institution_number": "621",
"transit_number": "16001"
},
"created_at": "2021-12-20T09:06:43.701Z",
"updated_at": "2021-12-20T09:06:43.701Z",
"metadata": {}

},
null,
2

```

<RefSubLayout.Divider />

## Retrieve a pay allocation

**GET** `/v1/pay-allocations/{id}`

* Retrieve a pay allocation object with the supplied ID.
* This request returns a pay allocation object if you provided a valid identifier.
* See [Pay allocations](/legacy/api-reference/pay-allocations) for descriptions of all fields in the object.

### Path parameters

* `id` (string (uuid), required): The identifier of the pay allocation to be retrieved.

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/pay-allocations/{id} \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'

    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/pay-allocations/{id}"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

{
  "id": "017dd717-d775-bb54-6fb8-8947eff46809",
  "account": "017dd717-d499-ce81-f3ac-ab7b8bb35a80",
  "destination_type": "bank_account",
  "bank_account": {
"routing_number": "026019037",
"account_number": "360815792690",
"account_type": "savings"
  },
  "status": "active",
  "allocation_type": "percent",
  "currency": "USD",
  "allocation_value": "27",
  "employer": "groger",
  "metadata": {},
  "created_at": "2021-12-20T09:06:43.701Z",
  "updated_at": "2021-12-20T09:06:43.701Z",
  "method": "Weekly Direct Deposit"
},
null,
2

```

<RefSubLayout.Divider />

## List pay allocations

**GET** `/v1/pay-allocations`

* List all pay allocation objects.
* This request returns an object with a `results` property that contains an array of up to `limit` pay allocation objects.

### Query parameters

<Tabs>
  <Tab title="curl">
    ```bash theme={}
    curl --request GET \\
    --url https://api.argyle.com/v1/pay-allocations?limit=2 \\
    --header 'accept: application/json' \\
    --header 'content-type: application/json'

    ```
  </Tab>

  <Tab title="python">
    ```python theme={}
    import requests
    url = "https://api.argyle.com/v1/pay-allocations?limit=2"
    headers = {
    "accept": "application/json",
    "content-type": "application/json"
    }
    response = requests.get(url, headers=headers)
    ```
  </Tab>
</Tabs>

```json theme={}

[
  {
"id": "0180d690-319b-525e-daec-a8386140ae55",
"account": "017dd717-d499-ce81-f3ac-ab7b8bb35a80",
"destination_type": "acss_debit",
"acss_debit": {
  "account_number": "200110273312",
  "account_type": "DP3 - DEPOSIT ACCT3",
  "institution_number": "260",
  "transit_number": "11242"
},
"bank_account": {
  "routing_number": null,
  "account_number": null,
  "account_type": null
},
"status": "active",
"allocation_type": "amount",
"currency": "CAD",
"allocation_value": "remainder",
"employer": "groger",
"metadata": {},
"created_at": "2022-05-18T09:46:55.772Z",
"updated_at": "2022-05-18T09:46:55.772Z",
"method": null
  },
  {
"id": "0180d690-3187-8ef6-2d32-8b91bf8e1504",
"account": "017dd717-d499-ce81-f3ac-ab7b8bb35a80",
"destination_type": "card",
"card": {
  "card_number": "************4444",
  "card_name": "Viza",
  "is_platform_card": false
},
"bank_account": {
  "routing_number": null,
  "account_number": null,
  "account_type": null
},
"status": "active",
"allocation_type": null,
"currency": null,
"allocation_value": null,
"employer": "groger",
"metadata": {},
"created_at": "2022-05-18T09:46:55.752Z",
"updated_at": "2022-05-18T09:46:55.752Z",
"method": "Instant Payout"
  }
],
null,
2

```
